

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>TestWeatherStation &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="USBQualityTest" href="USBQualityTest.html" />
    <link rel="prev" title="SetWeatherStation" href="SetWeatherStation.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="USBQualityTest.html" title="USBQualityTest"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="SetWeatherStation.html" title="SetWeatherStation"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-TestWeatherStation">
<span id="testweatherstation"></span><h1>TestWeatherStation<a class="headerlink" href="#module-TestWeatherStation" title="Permalink to this headline">¶</a></h1>
<p>Test connection to weather station.</p>
<p>This is a simple utility to test communication with the weather
station. If this doesn&#8217;t work, then there&#8217;s a problem that needs to be
sorted out before trying any of the other programs. Likely problems
include not properly installing <a class="reference external" href="http://libusb.wiki.sourceforge.net/">libusb</a> or <a class="reference external" href="http://pyusb.berlios.de/">PyUSB</a>. Less likely problems include an
incompatibility between libusb and some operating systems. The most
unlikely problem is that you forgot to connect the weather station to
your computer!</p>
<div class="highlight-python"><pre>usage: python TestWeatherStation.py [options]
options are:
      --help           display this help
 -d | --decode         display meaningful values instead of raw data
 -h | --history count  display the last "count" readings
 -l | --live           display 'live' data
 -m | --logged         display 'logged' data
 -u | --unknown        display unknown fixed block values
 -v | --verbose        increase amount of reassuring messages
                       (repeat for even more messages e.g. -vvv)</pre>
</div>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#TestWeatherStation.main" title="TestWeatherStation.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#TestWeatherStation.raw_dump" title="TestWeatherStation.raw_dump"><tt class="xref py py-obj docutils literal"><span class="pre">raw_dump</span></tt></a>(pos,&nbsp;data)</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="TestWeatherStation.raw_dump">
<tt class="descclassname">TestWeatherStation.</tt><tt class="descname">raw_dump</tt><big>(</big><em>pos</em>, <em>data</em><big>)</big><a class="reference internal" href="../_modules/TestWeatherStation.html#raw_dump"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#TestWeatherStation.raw_dump" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="TestWeatherStation.main">
<tt class="descclassname">TestWeatherStation.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/TestWeatherStation.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#TestWeatherStation.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="SetWeatherStation.html"
                        title="previous chapter">SetWeatherStation</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="USBQualityTest.html"
                        title="next chapter">USBQualityTest</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="USBQualityTest.html" title="USBQualityTest"
             >next</a> |</li>
        <li class="right" >
          <a href="SetWeatherStation.html" title="SetWeatherStation"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>